@tailwind base;
@tailwind components;
@tailwind utilities;

/* body {
  font-family: Arial, Helvetica, sans-serif;
} */
/* body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  text-align: left;
  background-color: #fff;
} */

@keyframes puff-loading {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}

@layer utilities {
  .text-balance {
    text-wrap: balance;
  }
}

@layer base {
  :root {
    --background: 0 0% 100%;
    --foreground: 240 10% 3.9%;
    --card: 0 0% 100%;
    --card-foreground: 240 10% 3.9%;
    --popover: 0 0% 100%;
    --popover-foreground: 240 10% 3.9%;
    --primary: 240 5.9% 10%;
    --primary-foreground: 0 0% 98%;
    --secondary: 240 4.8% 95.9%;
    --secondary-foreground: 240 5.9% 10%;
    --muted: 240 4.8% 95.9%;
    --muted-foreground: 240 3.8% 46.1%;
    --accent: 240 4.8% 95.9%;
    --accent-foreground: 240 5.9% 10%;
    --destructive: 0 84.2% 60.2%;
    --destructive-foreground: 0 0% 98%;
    --border: 240 5.9% 90%;
    --input: 240 5.9% 90%;
    --ring: 240 10% 3.9%;
    --chart-1: 12 76% 61%;
    --chart-2: 173 58% 39%;
    --chart-3: 197 37% 24%;
    --chart-4: 43 74% 66%;
    --chart-5: 27 87% 67%;
    --radius: 0.5rem;
  }
  .dark {
    --background: 240 10% 3.9%;
    --foreground: 0 0% 98%;
    --card: 240 10% 3.9%;
    --card-foreground: 0 0% 98%;
    --popover: 240 10% 3.9%;
    --popover-foreground: 0 0% 98%;
    --primary: 0 0% 98%;
    --primary-foreground: 240 5.9% 10%;
    --secondary: 240 3.7% 15.9%;
    --secondary-foreground: 0 0% 98%;
    --muted: 240 3.7% 15.9%;
    --muted-foreground: 240 5% 64.9%;
    --accent: 240 3.7% 15.9%;
    --accent-foreground: 0 0% 98%;
    --destructive: 0 62.8% 30.6%;
    --destructive-foreground: 0 0% 98%;
    --border: 240 3.7% 15.9%;
    --input: 240 3.7% 15.9%;
    --ring: 240 4.9% 83.9%;
    --chart-1: 220 70% 50%;
    --chart-2: 160 60% 45%;
    --chart-3: 30 80% 55%;
    --chart-4: 280 65% 60%;
    --chart-5: 340 75% 55%;
  }
}

@layer base {
  * {
    @apply border-border;
  }
  body {
    @apply bg-background text-foreground;
  }
}

#root {
  background-color: #f0f1f2;
  font-size: 14px;
  width: 100%;
  height: 100%;
  margin: 0;
}
.page-heading {
  padding: 1rem;
}
.page-body {
  padding: 0 1rem;
}

.breadcrumb {
  background-color: #ffffff!important;
  margin-bottom: 0!important;
  padding: 0!important;
}
.text-white {
  color: #fff;
}
.navbar-brand{
  margin-right: 0!important;
}

a.nav-link {
  /*padding: .1rem 1rem!important;*/
  color: unset;
}

a.nav-link:hover {
  /*padding: .1rem 1rem!important;*/
  color: unset;
}

.margin-0{
  margin: 0!important;
}
.mB-0 {
  margin-bottom: 0;
}
.mB-1 {
  margin-bottom: 1rem;
}
.mB-2 {
  margin-bottom: 2rem;
}
.mR-8{
  margin-right: 8px;
}
.mT-8{
  margin-top: 8px;
}
.pT-5 {
  padding-top: 5px;
}
.pL-1 {
  padding-left: 1rem;
}
.pL-2 {
  padding-left: 2rem;
}
.padding-1{
  padding: 1rem;
}
.btn-group-left {
  color: #afb2b4!important;
  font-weight: 700!important;
  background-color: #ffffff!important;
  border-color: #afb2b4!important;
  border-radius: 8px 0 0 8px!important;
}
.btn-group-right {
  color: #afb2b4!important;
  font-weight: 700!important;
  background-color: #ffffff!important;
  border-color: #afb2b4!important;
  border-radius: 0 8px 8px 0!important;
}
.btn-group-active {
  color: #ffffff!important;
  background-color: #afb2b4!important;
}
.btn-group-left:hover,
.btn-group-right:hover {
  color: #000000!important;
  background-color: #afb2b4!important;
}
.pointer {
  cursor: pointer;
}
.disable-span {
  pointer-events: none;
  opacity: 50%;
}
.nowrap {
  white-space: nowrap;
}
.list-item {
  display: list-item;
}

.json-inspector > .json-inspector__leaf_root > .json-inspector__line > .json-inspector__key,
.json-inspector > .json-inspector__leaf_root > .json-inspector__line > .json-inspector___helper {
  display: none;
}

.react-datepicker-wrapper input {
  border-radius: 4px;
  box-shadow: inset 0 2px 2px #e9e9e9;
  border: 1px solid #aeaeae;
  line-height: 16px;
  padding: 6px 10px 5px;
}

.MultiSelect .DropDown {
  background-color: white !important;
}

.MultiSelect .Header__value {
  height: 32px !important;
  line-height: 32px !important;
}

.bg-white {
  background-color: white !important;
}


.btn-active {
  background-color: #DEE2F5 !important;
}
.page-body > div {
  border-radius: 5px;
}

.break-col {
  word-break: break-word;
  width: 15%
}

.react-datepicker-wrapper{
  display: block !important;
}

.react-datepicker__input-container{
  display: block !important;
}

.react-datepicker-wrapper input{
  width: 100%;
}

.font-20{
  font-size: 20px;
}

.react-bootstrap-table table {
  table-layout: auto !important;
}

.ck.ck-editor__editable_inline {
  min-height: 350px;
}

.font-weight-400 {
  font-weight: 400 !important;
}

.font-weight-500 {
  font-weight: 500 !important;
}

.wrapper {
  min-height: -webkit-fill-available;
  height: 100vh;
  display: flex;
  flex-direction: column;
}

.main--content {
  background-color: #f0f1f2;
}

.content--header {
  border-bottom: 1px solid #ccc;
  -webkit-box-shadow: 0 8px 6px -6px black;
  -moz-box-shadow: 0 8px 6px -6px black;
  box-shadow: 0 3px 6px -6px black;
  .header--title p {
    margin: 0;
  }
}

.body--header:after {
  content: "";
  border-bottom: 1px solid #ccc;
  display: block;
  margin-top: 2px;
  -webkit-box-shadow: 0 8px 6px -6px black;
  -moz-box-shadow: 0 8px 6px -6px black;
  box-shadow: 0 3px 6px -6px black;
  margin-left: .25rem;
}

.body--header .title {
  border-radius: .25rem .25rem 0 .25rem;
}

.table__header th {
  vertical-align: middle !important;
}

.clear-link {
  color: unset
}

.clear-link:hover {
  color: unset !important;
  text-decoration: none;
}

.custom-file-input ~ .custom-file-label::after {
  content: "ブラウズ";
}

.table thead th {
  vertical-align: middle !important;
}

.to-top-btn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 40px;
  height: 40px;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  border-radius: 4px;
  cursor: pointer;
}

.to-top-btn:hover {
  text-decoration: none;
  color: white;
}

.img--logo {
  max-width: 100%;
  height: auto;
  max-height: 100px;
}

.faq--header {
  border-left: solid 5px;
  padding-left: 10px;
}

.number--container {
  min-width: 30px;
}

.number--style {
  min-height: 30px;
}

hr.hr-text {
  position: relative;
  border: none;
  height: 1px;
  background: #999;
}

hr.hr-text::before {
  content: attr(data-content);
  display: inline-block;
  background: #fff;
  font-weight: bold;
  font-size: 0.85rem;
  color: #999;
  border-radius: 30rem;
  padding: 0.2rem 2rem;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.color-red {
  color: red;
}

.dropdown-heading {
  height: 36px!important;
}

.search-result em {
  color: red;
}

.skeleton-input-component {
  width: 100%;
  height: 65px;
}

.skeleton-group-button {
  width: 250px !important;
  height: 45px;
}

.search-page .btn {
  display: flex!important;
  align-items: center;
  justify-content: center;
  padding-top: 0;
  padding-bottom: 0;
}

/* .home-contents {
  width: calc(100% - 200px);
  flex: 1 0 auto;
  height: fit-content;
  width: min-content;
} */
body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif !important;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  width: 100%;
  height: 100%;
  margin: 0px;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

.body-full .home-contents {
  width: 100%;
  max-width: 100%;
}

.page-item.disabled {
  pointer-events: none;
}
.card {
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  border: 1px solid rgba(0, 0, 0, .125);
  border-radius: .25rem;
}
.card-body {
  flex: 1 1 auto;
  min-height: 1px;
  padding: 1.25rem;
}
.text-info{
  color: #17a2b8 !important;
}
.border-info {
  border-color: #17a2b8 !important;
}
.btn-primary {
  color: #fff;
  background-color: #007bff;
  border-color: #007bff;
}
.btn-info {
  color: #fff;
  background-color: #17a2b8 ;
  border-color: #17a2b8;
}
/* .btn-info:hover {
  background-color: #138496 ;
  border-color: #138496;
} */

.btn-warning {
  color: #212529;
  background-color: #ffc107;
  border-color: #ffc107;
}
/* .btn-warning:hover {
  background-color: #e0a800;
  border-color: #e0a800;
} */
.btn-danger {
  color: #fff;
  background-color: #dc3545;
  border-color: #dc3545;
}
/* .btn-danger:hover {
  background-color: #b72634;
  border-color: #b72634;
} */
.btn-megre-layout {
  color: #fff ;
  background-color: #00b27b ;
  border-color: #00b27b ;
}
/* .btn-megre-layout:hover {
  background-color: #03885e ;
  border-color: #03885e ;
} */
.btn-black {
  color: #fff;
  background-color: #6c757d;
  border-color: #6c757d;
}
/* .btn-black:hover {
  background-color: #5a6268;
  border-color: #5a6268;
} */
.btn {
  padding: .375rem 1.3rem !important;
  font-size: 1em !important;
}

input, button {
  border-radius: unset!important;
}
.btn.disabled {
  pointer-events: none;
}
.has-box {
  display: flex;
  flex-direction: column;
  pointer-events: none;
}

.has-box .MuiOutlinedInput-multiline {
  border-radius: 2
}
.has-box .MuiOutlinedInput-notchedOutline {
  border-color: '#767676'
}

/* @media only screen and (max-width: 618px) { */
.card {
    width: 100%!important;
}
/* } */

th .order-4:before {
  margin-left: 3.5px;
  content: "\2191";
  opacity: 0.4;
}

th .order-4:after {
  content: "\2193";
  opacity: 0.4;
}

th .caret-4-asc:before {
  margin-left: 3.5px;
  content: "\2191";
}

th .caret-4-asc:after {
  content: "\2193";
  opacity: 0.4;
}

th .caret-4-desc:before {
  margin-left: 3.5px;
  content: "\2191";
  opacity: 0.4;
}

th .caret-4-desc:after {
  content: "\2193";
}
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
  margin-bottom: .5rem;
  font-weight: 500;
  line-height: 1.2;
}
.h1, h1 {
  font-size: 2.5rem;
}
.h2, h2 {
  font-size: 2rem;
}
.h3, h3 {
  font-size: 1.75rem;
}
.h4, h4 {
  font-size: 1.5rem;
}
.h5, h5 {
  font-size: 1.25rem;
}
.h6, h6 {
  font-size: 1rem;
}
a {
  color: #007bff;
  text-decoration: none;
  background-color: transparent;
}
.small, small {
  font-size: .875em;
  font-weight: 400;
}
.card-header {
  padding: .75rem 1.25rem;
  margin-bottom: 0;
  background-color: rgba(0, 0, 0, .03);
  border-bottom: 1px solid rgba(0, 0, 0, .125);
}
.btn-success {
  color: #fff;
  background-color: #28a745;
  border-color: #28a745;
}
.btn-block {
  display: block;
  width: 100%;
}
.text-success {
  color: #28a745 !important;
}
.list-group {
  display: flex;
  flex-direction: column;
  padding-left: 0;
  margin-bottom: 0;
  border-radius: .25rem;
}
.list-group-flush {
  border-radius: 0;
}
hr {
  margin-top: 1rem;
  margin-bottom: 1rem;
  border: 0;
  border-top: 1px solid rgba(0, 0, 0, .1);
}
p {
  margin-top: 0;
  margin-bottom: 1rem;
  display: block;
  margin-block-start: 1em;
  margin-block-end: 1em;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
  unicode-bidi: isolate;
}

.text-nowrap {
  white-space: nowrap !important;
}

img {
  vertical-align: middle;
  border-style: none;
}
hr.hr-text {
  position: relative;
  border: none;
  height: 1px;
  background: #999;
}
.list-group-item {
  position: relative;
  display: block;
  padding: .75rem 1.25rem;
  background-color: #fff;
  border: 1px solid rgba(0, 0, 0, .125);
}
.list-group-flush>.list-group-item:last-child {
  border-bottom-width: 0;
}

.list-group-flush>.list-group-item {
  border-width: 0 0 1px;
}
.p-0 {
  padding: 0 !important;
}
.dropdown-divider {
  height: 0;
  margin: .5rem 0;
  overflow: hidden;
  border-top: 1px solid #e9ecef;
}
.item-search-wrap {
  flex: 20% 1;
  max-width: 20%;
  flex-flow: column wrap;
}